## Magic Crystal Table, Black Forge Extensions and Galdr Table Extensions
This mod adds in a crafting station and 3 extensions  for players to assign anything they want to it by using [WackysDatabase](https://valheim.thunderstore.io/package/WackyMole/WackysDatabase/).

It also includes 2 extensions for the Mistlands Black Forge and the Galdr Table allowing you to upgrade your equipment to level 4.

Everything is customizable in the config file, by changing recipes for the stations and extensions, allows you to add the extensions to existing stations.

By Default the recipes for the Magic Crystal Table uses BlackMarble but this can be adjusted in the config or using a [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

To assign recipes to the Magic Crystal Table using wackysdatabase files, you need to put in **$custom_sky_forge** for "craftingStation".

The Magic Crystal Table has NO recipes assigned to it, only a consumable for admins.

## Known Issue:
- When restarting game, changes to what pieces extend to or changing station go back to normal, waiting for fix.

## Changelog
<details>
  <summary><b><span style="color:aqua;font-weight:200;font-size:20px">
    ChangeLog: (Please delete your config to generate new one)
</span></b></summary>

| Version | Changes                                                                                                                                                                                                                                                                                                                                |
|----------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| v0.1.1  | Updated for Hildr Patch<br/>
| v0.1.0  | Skipped<br/>
| v0.0.9  | Updated internal dependencies<br/>
| v0.0.6  | Added 2 extensions for the Galdr Table<br/>
| v0.0.5  | - Added options to configure custom table extensions to upgrade any table.<br/> - Added advanced configuration settings for the admin potion<br/> - Added additional option for adjusting station range of the black forge extensions.<br/>
| v0.0.4  | Added 2 extensions for the Black Forge<br/>
| v0.0.3  | Updated description<br/>
| v0.0.2  | First Release<br/>

</details>

## Credit:
<p align="center"><b>All credit goes to @GraveBear for creating this mod for me!</b></p>

<p align="center">Click link below to support him - Free Shark Hat and Tuna Sword Gift on Page:</p>

<p align="center"><a href="https://www.buymeacoffee.com/Gravebear"><img src="https://cdn.discordapp.com/attachments/1002971376551989369/1038591260723789824/GBSupporter.png"></a></p>

## Magic Crystal Table and Extension Prefabs
- Custom_Sky_Forge
- Custom_Table_Ext1
- Custom_Table_Ext2
- Custom_Table_Ext3

<div class="align-center">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054072686571175986/Table.png" width="154" height="397">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054072686248218764/ext1.png" width="130" height="258">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054072685929431071/ext2.png" width="166" height="151">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054072685623263242/ext3.png" width="130" height="211">
</div>

## Black Forge Extension Prefabs
- Custom_BlackForge_Ext_1
- Custom_BlackForge_Ext_2

<div class="align-center">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054069457380716544/tabl.png" width="256" height="256">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1054069457716248586/avl.png" width="256" height="256">
</div>

## Galdr Table Extension Prefabs
- Custom_Magetable_Ext_1
- Custom_Magetable_Ext_2

<div class="align-center">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1055677285174366230/book2.png" width="256" height="256">
  <img src="https://cdn.discordapp.com/attachments/1021774386753196122/1055677285543452753/cauldron.png" width="256" height="256">
</div>